HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get Account with {accountId}

Return a single account using the Arcadia {accountId} value.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve one account using the Arcadia-generated accountId.

Use this endpoint when you store Arcadia account IDs and need the account record before working with profiles, tariffs, properties, rates, calculations, or savings analyses. To search for accounts first, use Get Accounts. To retrieve an account using your own account identifier, use Get One Account with providerAccountId.

Resource URI

GET /rest/v1/accounts/{accountId}

Path parameters

ParameterTypeDescription
accountIdStringArcadia UUID of the Account object. Required.

For the full account data model, account workflow, and detailed examples, see Accounts API.

Example

GET /rest/v1/accounts/c2a630e8-c99a-4347-a460-d116e83439d2

A successful response returns a standard response payload with type set to Account and one account in the results array.

{
  "status": "success",
  "count": 1,
  "type": "Account",
  "results": [
    {
      "accountId": "c2a630e8-c99a-4347-a460-d116e83439d2",
      "providerAccountId": "api-eg-10",
      "accountName": "Example 1 API Home",
      "status": "ACTIVE"
    }
  ]
}
Path Params
string
required

This is the Arcadia UUID of the Account object.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json